org.apache.ignite.internal.processors.cache.distributed.dht

## Interface GridDhtFuture<T>

All Superinterfaces:
  IgniteInternalFuture<T>

All Known Implementing Classes:
  GridDhtEmbeddedFuture, GridDhtFinishedFuture, GridDhtForceKeysFuture, GridDhtGetFuture, GridDhtGetSingleFuture, GridDhtLockFuture

    public interface GridDhtFuture<T>
    extends IgniteInternalFuture<T>

Keys to retry.

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<Integer>` `invalidPartitions()` Node that future should be able to provide keys to retry before it completes, so it's not necessary to wait till future is done to get retry keys.

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Method Detail

#### invalidPartitions

    Collection<Integer> invalidPartitions()

Node that future should be able to provide keys to retry before it completes, so it's not necessary to wait till future is done to get retry keys.

Returns:
  Keys to retry because this node is no longer a primary or backup.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021